Installation Manuals

The manuals will guide you to install and build PaddlePaddle on your 64-bit desktop or laptop.

The versions of Python currently supported: Python 2.7-3.7

PaddlePaddle currently supports the following environments:

  • Ubuntu 14.04 /16.04 /18.04
  • CentOS 7 / 6
  • MacOS 10.11 / 10.12 / 10.13 / 10.14
  • Windows7 / 8/ 10(Pro/Enterprise)

Please make sure your environment meets the conditions above. And the installation assumes your computer possesses 64-bit operating system, and AVX instruction set is supported by the processor, otherwise you should use the version of no_avx in whl package list - Dev .

  • If you are planning to use pip to install PaddlePaddle, please type the following commands directly:

pip install paddlepaddle (latest CPU version of PaddlePaddle)

pip install paddlepaddle-gpu (latest GPU version of PaddlePaddle)

pip install paddlepaddle==[pip version]

where [pip version] can be looked up in PyPi.org
  • If you are planning to use docker to install PaddlePaddle, please type the following commands directly:

docker run --name [Name of container] -it -v $PWD:/paddle paddlepaddle/paddle:[docker version] /bin/bash

where [docker version] can be looked up in DockerHub